# Uses of Interface
com.usatiuk.dhfs.remoteobj.ObjSyncHandler

Packages that use ObjSyncHandler
Package
Description
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.remoteobj
com.usatiuk.dhfsfs.objects

## Uses of ObjSyncHandler in com.usatiuk.dhfs.peersync

Classes in com.usatiuk.dhfs.peersync that implement ObjSyncHandler
Modifier and Type
Class
Description
`class`
`PeerInfoSyncHandler`

## Uses of ObjSyncHandler in com.usatiuk.dhfs.remoteobj

Constructor parameters in com.usatiuk.dhfs.remoteobj with type arguments of type ObjSyncHandler
Modifier
Constructor
Description
``
`SyncHandler(jakarta.enterprise.inject.Instance<ObjSyncHandler<?,?>> syncHandlers, jakarta.enterprise.inject.Instance<InitialSyncProcessor<?>> initialSyncProcessors)`

## Uses of ObjSyncHandler in com.usatiuk.dhfsfs.objects

Classes in com.usatiuk.dhfsfs.objects that implement ObjSyncHandler
Modifier and Type
Class
Description
`class`
`FileSyncHandler`
Handles synchronization of file objects.